import type { ViewTemplate } from '@genesislcap/web-core';
import type { Navigation } from '../main';
/**
 * Top level template for Navigation class
 *
 * @remarks
 *
 * Dynamic template which wraps the code in a provider
 *
 * @typeParam Navigation - Navigation class
 *
 * @returns ViewTemplate instance of the Navigation html
 *
 * @internal
 */
export declare const dynamicTemplate: ViewTemplate<Navigation>;
/**
 * Render template for the Navigation class
 *
 * @remarks
 *
 * Template used when the class has finished loading
 *
 * @typeParam Navigation - Navigation class
 *
 * @returns ViewTemplate instance of the Main html
 *
 * @internal
 */
export declare const rapidTemplate: ViewTemplate<Navigation, any>;
//# sourceMappingURL=rapid.template.d.ts.map